def find_path(a, b):
    # Начальные дроби
    left_numerator = 0
    left_denominator = 1
    right_numerator = 1
    right_denominator = 0

    path = []

    while True:
        # Находим текущую дробь
        mid_numerator = left_numerator + right_numerator
        mid_denominator = left_denominator + right_denominator

        if mid_numerator == a and mid_denominator == b:
            return ''.join(path)

        if (mid_numerator * b < a * mid_denominator):
            # Идём вправо
            path.append('R')
            left_numerator = mid_numerator
            left_denominator = mid_denominator
        else:
            # Идём влево
            path.append('L')
            right_numerator = mid_numerator
            right_denominator = mid_denominator

        # Проверяем, не вышли ли за пределы
        if left_denominator + right_denominator == 0:
            return "no"


# Чтение входных данных
a, b = map(int, input().strip().split())

# Получение пути
result = find_path(a, b)

# Вывод результата
print('R' + result)


